Bug 996736 - grub menus not translated
grub menus not translated
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 16:34 EDT by marcindulak
Modified: 2015-02-17 11:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:45:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub fully in German on Fedora 18 (348.42 KB, image/png)
2013-08-13 16:34 EDT, marcindulak
no flags Details

  None (edit)
Description marcindulak 2013-08-13 16:34:09 EDT
Created attachment 786271 [details]
grub fully in German on Fedora 18

Description of problem:

On Fedora 18 (locale en_US.UTF-8) writing LANG="de_DE.UTF-8" into
/etc/default/grub and running
grub2-mkconfig -o /boot/grub2/grub.cfg
results in an immediate, in-place translation of /boot/grub2/grub.cfg into
German. At the next boot, the LANG variable is honoured also for the text
below the menu entries (screenshot attached).

On Fedora 19 setting LANG (or export LANG) in /etc/default/grub does not have
this effect. Writing export LC_ALL in /etc/default/grub followed by
grub2-mkconfig -o /boot/grub2/grub.cfg
results in in-place translation of /boot/grub2/grub.cfg but the text
below menu entries is still in English.

Version-Release number of selected component (if applicable):

grub2-2.00-23.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. echo "export LANG='de_DE.UTF-8'" >> /etc/default/grub
2. grub2-mkconfig -o /boot/grub2/grub.cfg && dracut -f /boot/initramfs-$(uname -r).img $(uname -r)&& reboot
3.

Actual results:

grub boots in English

Expected results:

grub is fully in German

Additional info:

Here is the original question https://ask.fedoraproject.org/question/29548/grub2-scripts-and-locale-settings-gone/
If this is not a bug (i was not yet able to find any official grub documentation about the LANG variable), please describe a workaround.
Comment 1 Fedora End Of Life 2015-01-09 14:26:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:45:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.